org.apache.ignite.internal.visor.query

## Class VisorContinuousQueryCancelTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorContinuousQueryCancelTaskArg,Void>
    - - org.apache.ignite.internal.visor.query.VisorContinuousQueryCancelTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorContinuousQueryCancelTaskArg>,Void>

    @GridInternal
     @GridVisorManagementTask
    public class VisorContinuousQueryCancelTask
    extends VisorOneNodeTask<VisorContinuousQueryCancelTaskArg,Void>

Task to cancel continuous query.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorContinuousQueryCancelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.query.VisorContinuousQueryCancelTask.VisorContinuousQueryCancelJob` `job(VisorContinuousQueryCancelTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorContinuousQueryCancelTask

    public VisorContinuousQueryCancelTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.query.VisorContinuousQueryCancelTask.VisorContinuousQueryCancelJob job(VisorContinuousQueryCancelTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorContinuousQueryCancelTaskArg,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023